<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<h2>HTML Forms</h2>
	<!-- <form> creates an HTML form to capture user input -->
	<!-- <button> creates abutton that will trigger the form submission -->
	<form>
		<!-- the type attribute is used to submit the data -->
		<label for="full_name">Full Name:</label>
		<input type="text" id="full_name" name="fullName" required autocomplete="true"><br>
		<!-- <label> creates a text element that will servce as label for the input field.
			<input> creates a form inout element to capture user inout
			<for> attribute is used with the "id" attribute in an input element
			<type> attribute will define what type of information the input field should have.
			<name> attribute will provide the inout field with a name that we can use to associate with the information provided by the user.
		-->
		<label for="birth_date"> Birth Date: </label>
		<input type="date" id="birth_date" name="birthDate" required>

		<br>
		<label for="age"> Age: </label>
		<input type="number" id="age" name="myAge" required>

		<br>
		<label for="gender"> Gender: </label>
		<!-- the <select> together with the <option> tags are used to provide a drop-down menu -->
		<select id="gender" name="gender">
			<option value="Male">Male</option>
			<option value="Female">Female</option>
		</select>

		<br>
		<!-- the value attribute is the information that will be sent when the form is submitted -->

		<label for="notes"> Notes: </label>
		<textarea name="notes" id="notes" rows="10" cols="20" style="resize: none;"></textarea>
		<!-- the <textarea> tag is used for large text input -->
			<!-- cols is used to specify the number of columns that you can add in the textarea-->
			<!-- style is used in CSS within HTML -->

		<br>

		<label>New User:</label>
		<input type="radio" id="user-type1" name="new_user" value="yes">
		<label for="user-type1">Yes</label>
		<input type="radio" id="user-type2" name="new_user" value="no">
		<label for="user-type2">No</label>
		<!-- the "name" and input type "radio" of the radio button should be the same for all radio buttons for the radio button to work as expected-->
		<br>

		<label>Role:</label><br>
		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label>

		<br>
		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label>

		<br>
		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label>

		<button type="submit"> Submit </button>
		<button type="reset"> Reset </button>
	</form>

	<!-- In semantic HTML the <div> tag is used a container, to make it easier to read, we can use tags such as <header>, <main>, <footer> instead of using the <div> tag -->
	<header>
		<h1>HTML Tables and Forms</h1>
		<nav>
			
		</nav>
	</header>
		
		
	<main>
		<h1>HTML Entities</h1>
		<section>
			
		</section>
	</main>
		
	<div id="footer">
		<h1>HTML Forms</h1>
	</div>

</body>
</html>